编译了源码2.6.20.1后intel3945网卡无效,想用ndiswrapper试试。[已解决]

为当前最终发行版之前的所有版本提供支持
回复
sontjer
帖子: 55
注册时间: 2007-01-03 17:25
送出感谢: 0
接收感谢: 0

编译了源码2.6.20.1后intel3945网卡无效,想用ndiswrapper试试。[已解决]

#1

帖子 sontjer » 2007-02-25 10:06

编译了源码2.6.20.1后intel3945网卡无效,想用ndiswrapper试试。会影响老内核网卡的正常使用吗?

终于发现了最简便的方法了!编译了之后只要安装了相应版本的linux-restricted-modules就可以识别3945了!
上次由 sontjer 在 2007-02-25 22:29,总共编辑 1 次。
sontjer
帖子: 55
注册时间: 2007-01-03 17:25
送出感谢: 0
接收感谢: 0

#2

帖子 sontjer » 2007-02-25 15:54

没有人在吗?
edelweiss
帖子: 97
注册时间: 2006-12-17 13:52
送出感谢: 0
接收感谢: 0

#3

帖子 edelweiss » 2007-02-25 16:55

应该无问题,我的无线网卡就是用ndiswrapper来驱动的,而原来的网卡就用原来系统自带的,最再装个network-manager-gnome的工具,源里有,最后再加上一句
sudo gtk-update-icon-cache -f /usr/share/icons/hicolor/
因为有些机子会出现些什么问题之类,俺也遇过,所以先在这里提个醒。good luck.
sontjer
帖子: 55
注册时间: 2007-01-03 17:25
送出感谢: 0
接收感谢: 0

#4

帖子 sontjer » 2007-02-25 17:15

thanx edelweiss~回家试试!
头像
sinoyster
帖子: 958
注册时间: 2005-10-16 13:24
来自: 四川成都
送出感谢: 2 次
接收感谢: 0
联系:

#5

帖子 sinoyster » 2007-02-25 17:38

LZ是不是kernel.org上下的源码?
Thank you Ubuntu Team!!!!
I still can't belive this is free...
头像
Decease
帖子: 834
注册时间: 2006-12-14 20:33
送出感谢: 0
接收感谢: 0

#6

帖子 Decease » 2007-02-25 19:04

我的是Intel2200BG.特别垃圾的一种..能识别...无线..从来没在ubuntu用过..
sontjer
帖子: 55
注册时间: 2007-01-03 17:25
送出感谢: 0
接收感谢: 0

#7

帖子 sontjer » 2007-02-25 22:28

2200bg在默认的,2.6.20的内核配置选项中就可以选到。我发现了编译了之后只要安装了相应版本的linux-restricted-modules就可以识别3945了!
hardegg
帖子: 34
注册时间: 2006-01-03 17:00
送出感谢: 0
接收感谢: 0

#8

帖子 hardegg » 2007-02-26 21:21

但若是像我这样显卡是nvidia的,装了linux-restricted-modules显卡驱动就没了
头像
Decease
帖子: 834
注册时间: 2006-12-14 20:33
送出感谢: 0
接收感谢: 0

#9

帖子 Decease » 2007-02-26 21:56

都扯到显卡去了...
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#10

帖子 eexpress » 2007-02-27 0:34

nv的显卡驱动权力很大的。呵呵。
● 鸣学
回复

回到 “老旧版本支持”